## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathFactory.hpp File Reference

Include dependency graph for XPathFactory.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

- struct XPathFactory::DeleteXPathFunctor
    A functor for use with stl algorithms. More...
- class XPathFactory
- class XPathGuard
    Manages the lifetime of an XPath instance. More...

## Defines

- #define XPATHFACTORY_HEADER_GUARD_1357924680

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  class XPath
    Id:
      ElemVariable.hpp,v 1.8 2004/11/08 18:18:56 dmitryh Exp
    . More...

## Define Documentation

#define XPATHFACTORY_HEADER_GUARD_1357924680

| Value:

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN class XPath

| Id: ElemVariable.hpp,v 1.8 2004/11/08 18:18:56 dmitryh Exp . State: Exp Author: Myriam Midy (Myriam_Midy @lotus.com

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.